<!DOCTYPE html>
<html lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <!-- Meta, title, CSS, favicons, etc. -->
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <title>{% block title %}Rapid pay {% endblock %}</title>
  {% block stylesheets %}
  <!-- Bootstrap -->
  <link href="{{asset('bundles/rapidpay/template/vendors/bootstrap/dist/css/bootstrap.min.css')}}" rel="stylesheet">
  <!-- Font Awesome -->
  <link href="{{asset('bundles/rapidpay/template/vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">
  <!-- NProgress -->
  <link href="{{asset('bundles/rapidpay/template/vendors/nprogress/nprogress.css')}}" rel="stylesheet">
  <!-- iCheck -->
  <link href="{{asset('bundles/rapidpay/template/vendors/iCheck/skins/flat/green.css')}}" rel="stylesheet">

  <!-- bootstrap-progressbar -->
  <link href="{{asset('bundles/rapidpay/template/vendors/bootstrap-progressbar/css/bootstrap-progressbar-3.3.4.min.css')}}" rel="stylesheet">
  <!-- JQVMap -->
  <link href="{{asset('bundles/rapidpay/template/vendors/jqvmap/dist/jqvmap.min.css')}}" rel="stylesheet"/>
  <!-- bootstrap-daterangepicker -->
  <link href="{{asset('bundles/rapidpay/template/vendors/bootstrap-daterangepicker/daterangepicker.css')}}" rel="stylesheet">

  <!-- Custom Theme Style -->
  <link href="{{asset('bundles/rapidpay/template/build/css/custom.min.css')}}" rel="stylesheet">
  {% endblock %}
</head>

<body class="nav-md">
  <div class="container body">
    <div class="main_container">
      <div class="col-md-3 left_col">
        {% block menu %}
          {% if is_granted('ROLE_ADMIN') %}
            {% include 'AdminBundle:Menu:admin.html.twig'%}
          {% elseif is_granted('ROLE_CAISSIER')%}
            {% include 'AdminBundle:Menu:caissier.html.twig'%}
          {% elseif is_granted('ROLE_ENTREPRISE')%}
            {% include 'AdminBundle:Menu:entreprise.html.twig'%}
          {% elseif is_granted('ROLE_AUDITEUR')%}
            {% include 'AdminBundle:Menu:auditeur.html.twig'%}
          {% endif %}
        {% endblock %}
      </div>

      {% block header %}
      <!-- top navigation -->
      <div class="top_nav">
        <div class="nav_menu">
          <nav>
            <div class="nav toggle">
              <a id="menu_toggle"><i class="fa fa-bars"></i></a>
            </div>

            <ul class="nav navbar-nav navbar-right">
              <li class="">
                <a href="javascript:;" class="user-profile dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                  <img src="{{asset('bundles/rapidpay/img/user.png')}}" alt="">{{app.user.nom}}
                  <span class=" fa fa-angle-down"></span>
                </a>
                <ul class="dropdown-menu dropdown-usermenu pull-right">
                  <li><a href="{{path('user_edit_profil')}}"> Profil</a></li>
                  <li><a href="{{path('user_change_password')}}">Changer mot de passe</a></li>
                  <li><a href="{{path('user_logout')}}"><i class="fa fa-sign-out pull-right"></i> Deconnexion</a></li>
                </ul>
              </li>

              
            </ul>
          </nav>
        </div>
      </div>
      <!-- /top navigation -->
      {% endblock %}


      <!-- page content -->
      <div class="right_col" role="main">
        {% for type, messages in app.session.flashbag.all() %}
        {% for message in messages %}
        {%if type=="success"%}
        <div style="margin-top: 60px" class="alert alert-success alert-dismissible fade in" role="alert">
          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
          <strong>Succes!</strong> {{message}}
        </div>
        {%elseif type=="info"%}
        <div style="margin-top: 60px" class="alert alert-info alert-dismissible fade in" role="alert">
          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
          <strong>Info!</strong> {{message}}
        </div>
        {%elseif type == "warning"%}
        <div style="margin-top: 60px" class="alert alert-warning alert-dismissible fade in" role="alert">
          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
          <strong>Avertissement!</strong> {{message}}
        </div>
        {%else%}
        <div style="margin-top: 60px" class="alert alert-danger alert-dismissible fade in" role="alert">
          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
          <strong>Erreur!</strong> {{message}}
        </div>
        {%endif%}
        {% endfor %}
        {% endfor %}
        {% block body %}
        {% endblock %}
      </div>
      <!-- /page content -->


      <!-- footer content -->
      <footer>
        <div class="pull-right">
          Gentelella - Bootstrap Admin Template by <a href="https://colorlib.com">Colorlib</a>
        </div>
        <div class="clearfix"></div>
      </footer>
      <!-- /footer content -->
    </div>
  </div>

  {% block javascripts%}
  <!-- jQuery -->
  <script src="{{asset('bundles/rapidpay/template/vendors/jquery/dist/jquery.min.js')}}"></script>
  <!-- Bootstrap -->
  <script src="{{asset('bundles/rapidpay/template/vendors/bootstrap/dist/js/bootstrap.min.js')}}"></script>
  <!-- FastClick -->
  <script src="{{asset('bundles/rapidpay/template/vendors/fastclick/lib/fastclick.js')}}"></script>
  <!-- NProgress -->
  <script src="{{asset('bundles/rapidpay/template/vendors/nprogress/nprogress.js')}}"></script>
  <!-- Chart.js -->
  <script src="{{asset('bundles/rapidpay/template/vendors/Chart.js/dist/Chart.min.js')}}"></script>
  <!-- gauge.js -->
  <script src="{{asset('bundles/rapidpay/template/vendors/gauge.js/dist/gauge.min.js')}}"></script>
  <!-- bootstrap-progressbar -->
  <script src="{{asset('bundles/rapidpay/template/vendors/bootstrap-progressbar/bootstrap-progressbar.min.js')}}"></script>
  <!-- iCheck -->
  <script src="{{asset('bundles/rapidpay/template/vendors/iCheck/icheck.min.js')}}"></script>
  <!-- Skycons -->
  <script src="{{asset('bundles/rapidpay/template/vendors/skycons/skycons.js')}}"></script>
  <!-- Flot -->
  <script src="{{asset('bundles/rapidpay/template/vendors/Flot/jquery.flot.js')}}"></script>
  <script src="{{asset('bundles/rapidpay/template/vendors/Flot/jquery.flot.pie.js')}}"></script>
  <script src="{{asset('bundles/rapidpay/template/vendors/Flot/jquery.flot.time.js')}}"></script>
  <script src="{{asset('bundles/rapidpay/template/vendors/Flot/jquery.flot.stack.js')}}"></script>
  <script src="{{asset('bundles/rapidpay/template/vendors/Flot/jquery.flot.resize.js')}}"></script>
  <!-- Flot plugins -->
  <script src="{{asset('bundles/rapidpay/template/vendors/flot.orderbars/js/jquery.flot.orderBars.js')}}"></script>
  <script src="{{asset('bundles/rapidpay/template/vendors/flot-spline/js/jquery.flot.spline.min.js')}}"></script>
  <script src="{{asset('bundles/rapidpay/template/vendors/flot.curvedlines/curvedLines.js')}}"></script>
  <!-- DateJS -->
  <script src="{{asset('bundles/rapidpay/template/vendors/DateJS/build/date.js')}}"></script>
  <!-- JQVMap -->
  <script src="{{asset('bundles/rapidpay/template/vendors/jqvmap/dist/jquery.vmap.js')}}"></script>
  <script src="{{asset('bundles/rapidpay/template/vendors/jqvmap/dist/maps/jquery.vmap.world.js')}}"></script>
  <script src="{{asset('bundles/rapidpay/template/vendors/jqvmap/examples/js/jquery.vmap.sampledata.js')}}"></script>
  <!-- bootstrap-daterangepicker -->
  <script src="{{asset('bundles/rapidpay/template/vendors/moment/min/moment.min.js')}}"></script>
  <script src="{{asset('bundles/rapidpay/template/vendors/bootstrap-daterangepicker/daterangepicker.js')}}"></script>

  <!-- Custom Theme Scripts -->
  <script src="{{asset('bundles/rapidpay/template/build/js/custom.min.js')}}"></script>
  <script src="{{asset('bundles/rapidpay/template/vendors/raphael/raphael.min.js')}}"></script>
  <script src="{{asset('bundles/rapidpay/template/vendors/morris.js/morris.min.js')}}"></script>
  <script src="{{asset('bundles/rapidpay/js/rapidpay.js')}}"></script>
  {% endblock %}

</body>
</html>
